---
title: GamepadHapticActuator.pulse()
slug: Web/API/GamepadHapticActuator/pulse
tags:
  - API
  - Experimental
  - Gamepad
  - Gamepad API
  - GamepadHapticActuator
  - Method
  - Reference
  - pulse
---
<div>{{APIRef("Gamepad")}}{{SeeCompatTable}}</div>

<p>The <strong><code>pulse()</code></strong> method of the {{domxref("GamepadHapticActuator")}} interface makes the hardware pulse at a certain intensity for a specified duration.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">gamepadHapticActuatorInstance.pulse(<em>value</em>, <em>duration</em>).then(function(result) { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>value</em></dt>
 <dd>A double representing the intensity of the pulse. This can vary depending on the hardware type, but generally takes a value between 0.0 (no intensity) and 1.0 (full intensity).</dd>
 <dt><em>duration</em></dt>
 <dd>A double representing the duration of the pulse, in milliseconds.</dd>
</dl>

<div class="note">
<p><strong>Note</strong>: Repeated calls to <code>pulse()</code> override the previous calls if they are still ongoing.</p>
</div>

<h3 id="Return_value">Return value</h3>

<p>A promise that resolves with a value of <code>true</code> when the pulse has successfully completed.</p>

<h2 id="Examples">Examples</h2>

<p>TBC</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#dom-gamepadhapticactuator-pulse', 'pulse()')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadHapticActuator.pulse")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
